<h1 i18n="Consent History | Header entry @@consentHistoryHeader">Consent Management</h1>

<p>
  POLARIS verarbeitet deine persönlichen Lerndaten nur mit deiner vorherigen Zustimmung. In dieser Übersicht kannst du deine Einwilligungen zu verschiedenen Datenbündeln ansehen und bearbeiten. Du kannst deine Einwilligung widerrufen oder die Datenübertragung vorübergehend pausieren.
</p>
<p>&nbsp;</p>

<nz-collapse>
  <nz-collapse-panel [nzHeader]="faqPauseHeader">
    <ng-template #faqPauseHeader>
      Was passiert, wenn ich die Datenübertragung pausiere?
    </ng-template>
    <p>
      Du kannst die Übertragung deiner Lerndaten an POLARIS jederzeit pausieren. Ab diesem Zeitpunkt werden auf unbestimmte Zeit keine weiteren Lerndaten mehr an POLARIS geschickt. Anders als beim Widerruf bleiben die in POLARIS gespeicherten Daten erhalten.
    </p>
    <p>
      Die persönlichen Statistiken, die dir auf Basis der Analyse dieser Lerndaten angezeigt wurden, werden ausgeblendet.
    </p>
    <p>
      Die Datenübertragung wird fortgesetzt, wenn du die Pausierung wieder aufhebst. Dies kannst du unten unter „Meine Einwilligungen“ tun oder indem du auf den Button „Statistiken aktivieren“ im jeweiligen Quellsystem, z.B. Moodle oder Dynexite, klickst.
    </p>
  </nz-collapse-panel>
  <nz-collapse-panel [nzHeader]="faqRevokeHeader">
    <ng-template #faqRevokeHeader>
      Was passiert, wenn ich meine Einwilligung widerrufe?
    </ng-template>
    <p>
      Eine Einwilligung in die Verarbeitung personenbezogener Daten kannst du jederzeit widerrufen – dieses Recht ist durch die Datenschutz-Grundverordnung gesichert. Du musst dazu keine Gründe angeben und deine Entscheidung darf keine Nachteile für dich zur Folge haben. In diesem Fall können jedoch die entsprechenden Analysen nicht für Dich durchgeführt werden.
    </p>
    <p>
      Wenn du die Zustimmung zur Verarbeitung bestimmter Lerndaten in POLARIS widerrufst, werden ab diesem Zeitpunkt keine weiteren Daten mehr an POLARIS geschickt. Außerdem werden die bis zu diesem Zeitpunkt über dich gespeicherten Lerndaten innerhalb der gesetzlichen Frist von vier Wochen unwiderruflich anonymisiert. Anonyme Daten können dir nie wieder zugeordnet werden.
    </p>
    <p>
      Die persönlichen Statistiken, die dir auf Basis der Analyse dieser Lerndaten angezeigt wurden, werden ausgeblendet.
    </p>
  </nz-collapse-panel>
</nz-collapse>
<p style="padding-bottom: 88px">&nbsp;</p>

<h2>Deine Einwilligungen</h2>

<nz-collapse *ngFor="let group_data of consentHistory">
  <nz-collapse-panel [nzHeader]="groupConsentPanelHeader">
    <ng-template #groupConsentPanelHeader>
      <div class="consent-header">
        <span>
          <b>{{group_data.created | date}}</b>
          <span style="color: #000">&nbsp;/&nbsp;{{group_data.group.label}}</span>
        </span>
        <span>
          <span *ngIf="group_data.group.consented">
            <nz-switch
              [(ngModel)]="activeGroups[group_data.group.id]"
              (ngModelChange)="toggleGroupActive(group_data.group)"
              (click)="$event.stopPropagation()"
            ></nz-switch>
            <label *ngIf="activeGroups[group_data.group.id]" class="spacer">&nbsp;Aktiv</label>
            <label *ngIf="!activeGroups[group_data.group.id]" class="spacer">&nbsp;Pausiert</label>
          </span>
          <button *ngIf="group_data.group.consented" nzType="primary" style="float: right" nz-button (click)="$event.stopPropagation(); revokeGroupConsent(group_data.group)">Einwilligung widerrufen</button>
          <span *ngIf="!group_data.group.consented">Einwilligung wurde widerrufen</span>
        </span>
      </div>
    </ng-template>
    <p *ngIf="group_data.group.active && group_data.group.consented">
      {{group_data.group.providerName}} überträgt für jedes Modul die folgenden Daten an POLARIS:
    </p>
    <div *ngIf="!group_data.group.active && group_data.group.consented">
      <p>
        <b>Du hast die Datenübertragung für die unten stehenden Daten am {{group_data.updated | date}} pausiert.</b>
      </p>
      <p>
        Diese Daten werden seitdem nicht mehr an POLARIS übertragen. Bereits gespeicherte Daten bleiben erhalten.
      </p>
    </div>
    <div *ngIf="!group_data.group.consented">
      <p>
        <b>Du hast die Einwilligung zur Verarbeitung der unten genannten Daten am {{group_data.updated | date}} widerrufen.</b>
      </p>
      <p>
        Diese Daten werden aktuell nicht mehr an POLARIS geschickt. Bereits gespeicherte Daten werden so bald wie möglich anonymisiert.
      </p>
    </div>
    <nz-list>
      <nz-list-item *ngFor="let consent of group_data.group.consents">
        <nz-list-item-meta [nzAvatar]="consent.consented ? itemAvatarChecked : itemAvatarUnChecked">
          <ng-template #itemAvatarChecked>
            <fa-icon [icon]="faCheckCircle"></fa-icon>&nbsp;&nbsp;&nbsp;<b>{{consent.verb.description}}</b>
          </ng-template>
          <ng-template #itemAvatarUnChecked>
            <fa-icon [icon]="faTimesCircle"></fa-icon>&nbsp;&nbsp;&nbsp;<b>{{consent.verb.description}}</b>
          </ng-template>
        </nz-list-item-meta>
      </nz-list-item>
    </nz-list>
  </nz-collapse-panel>
  <p></p>
</nz-collapse>

<p>
  <button nz-button (click)="openWizard()">
    Einwilligungen erteilen
  </button>
</p>
